
Audacious - Bug #1019

Lyricwiki crash

August 26, 2020 06:09 - pav x

Status: Closed Start date: August 26, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version: 4.1   

Affects version: 4.0.4   

Description

I tried to play a music file (attached) with the lyrics plugin enabled but Audacious crashed. When I tried to re-open it, it would crash

immediately without any interaction. I removed lyricwiki-qt.so temporarily and it worked.

Audacious version is 4.0.5 (not the 4.0.4 that I selected because 4.0.5 is not available).

Stack trace of thread 4402:

#0  0x00007f2975086dea __GI___strlen_sse2 (libc.so.6 + 0x9edea)

#1  0x00007f29757311db _Z14filename_buildRKSt16initializer_listIPKcE (libaudcore.so.5 + 0x191db)

#2  0x00007f29707cf3b7 n/a (lyricwiki-qt.so + 0x73b7)

#3  0x00007f29707d0717 n/a (lyricwiki-qt.so + 0x8717)

#4  0x00007f29707d0c5c n/a (lyricwiki-qt.so + 0x8c5c)

#5  0x00007f29707d0e45 n/a (lyricwiki-qt.so + 0x8e45)

#6  0x00007f2961f6cfdc n/a (qtui.so + 0x1cfdc)

#7  0x00007f2961f6da78 n/a (qtui.so + 0x1da78)

#8  0x00007f2961f6f22b n/a (qtui.so + 0x1f22b)

#9  0x00007f2961f6c7b8 n/a (qtui.so + 0x1c7b8)

#10 0x00007f297573a2bd n/a (libaudcore.so.5 + 0x222bd)

#11 0x00007f297574c4cb n/a (libaudcore.so.5 + 0x344cb)

#12 0x00007f297574c88c n/a (libaudcore.so.5 + 0x3488c)

#13 0x00007f2975751ffb _Z7aud_runv (libaudcore.so.5 + 0x39ffb)

#14 0x0000561a988b5672 n/a (audacious + 0xa672)

#15 0x00007f297500f002 __libc_start_main (libc.so.6 + 0x27002)

#16 0x0000561a988b5c9e n/a (audacious + 0xac9e)

History

#1 - September 14, 2020 03:58 - John Lindgren

As a workaround, disable these two options:

- "Store fetched lyrics in local cache"

- "Load lyric files (.lrc) from local storage"

I'll have a fix shortly.

#2 - September 14, 2020 04:03 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

https://github.com/audacious-media-player/audacious-plugins/commit/d8a37f051533d61c32e7da4ac2c96158c8170c6e

#3 - December 21, 2020 20:33 - Thomas Lange

- Target version set to 4.1
https://github.com/audacious-media-player/audacious-plugins/commit/d8a37f051533d61c32e7da4ac2c96158c8170c6e


Files

dun_dun_1.mp3 22.1 KB August 26, 2020 pav x

Powered by TCPDF (www.tcpdf.org)

April 10, 2024 2/2

http://www.tcpdf.org

